# $Revision: 1.22 $, $Date: 2004/12/26 18:36:48 $
Summary:	Spambayes - tool used to segregate unwanted mail
Summary(pl):	Spambayes - narzdzie do oddzielania niechcianej poczty
Name:		spambayes
Version:	1.0.1
Release:	2
Epoch:		1
License:	PSF
Group:		Applications/Mail
Vendor:		<spambayes@python.org>
Source0:	http://dl.sourceforge.net/spambayes/%{name}-%{version}.tar.gz
# Source0-md5:	b80d25f90be14c9eaffefa172def674b
Patch0:		%{name}-scripts.patch
URL:		http://spambayes.sourceforge.net/
BuildRequires:	ed
BuildRequires:	python-devel >= 2.2
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.140
BuildRequires:	%{py_sitescriptdir}
%pyrequires_eq	python
Requires:	%{py_sitescriptdir}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Spambayes is a tool used to segregate unwanted mail (spam) from the
mail you want (ham). Before Spambayes can be your spam filter of
choice you need to train it on representative samples of email you
receive. After it's been trained, you use Spambayes to classify new
mail according to its spamminess and hamminess qualities.

%description -l pl
Spambayes jest narzdziem sucym do oddzielania niechcianej poczty
(spamu) od poczty podanej (ham). Zanim Spambayes stanie si filtrem
spamu o podanych przez uytkownika cechach, trzeba go nauczy na
podstawie reprezentatywnych prbek otrzymanej poczty. Po nauczeniu,
mona uywa Spambayesa do klasyfikowania nowej poczty w zalenoci od
stopnia jej "spamowoci".

%prep
%setup -q
# Files in the tarball are 0444, so patching will not
# work without this.
chmod -R u+w .
%patch0 -p1

echo -e ",s:/usr/local/bin/python:/usr/bin/python:g\n,w\nq" | ed utilities/loosecksum.py

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

#install -d $RPM_BUILD_ROOT{%{_libdir}/spambayes,/tmp/{contrib,pspam}}
#cp -r contrib pspam spambayes testtools utilities $RPM_BUILD_ROOT%{_libdir}/spambayes
#install contrib/BULK.txt $RPM_BUILD_ROOT/tmp/contrib
#install pspam/README.txt $RPM_BUILD_ROOT/tmp/pspam

find $RPM_BUILD_ROOT%{py_sitescriptdir}/spambayes -name '*.py' | xargs rm -f

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_bindir}/sb_*.py
%{py_sitescriptdir}/spambayes

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: spambayes.spec,v $
Revision 1.22  2004/12/26 18:36:48  saq
- release 2 for rebuild with python 2.4

Revision 1.21  2004/12/05 16:54:26  darekr
- updated to 1.0.1

Revision 1.20  2004/09/29 16:59:26  zboczuch
- 1.0 final is released (same sources as 1.0rc2)

Revision 1.19  2004/08/29 21:36:25  darekr
- update to 1.0rc2

Revision 1.18  2004/07/28 08:03:20  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.17  2004/05/29 09:57:20  zboczuch
- updated to 1.0rc1

Revision 1.16  2004/05/13 12:27:42  qboosh
- reverted breaking "fix", added deps for py_sitescriptdir

Revision 1.15  2004/04/09 13:24:02  djurban
- fix %%files

Revision 1.14  2004/04/08 11:02:33  undefine
- BR: noarch, release 2

Revision 1.13  2004/03/21 11:04:30  gotar
- upgraded to 1.0a9 (from Michal Kochanowicz)

Revision 1.12  2004/03/17 12:24:39  qboosh
- use sitescriptdir for Ac

Revision 1.11  2004/03/17 12:21:32  qboosh
- install spambayes modules in standard path, so python modules can access them
- dropped contrib, pspam etc. for now, release 0.2

Revision 1.10  2004/01/27 21:59:35  eothane
- updated to 1.0a7

Revision 1.9  2003/10/12 12:26:51  qboosh
- pythonprov is not used here

Revision 1.8  2003/09/26 12:37:58  misi3k
- updated to 1.0a6.1

Revision 1.7  2003/09/15 07:01:28  adamg
- updated to 1.0a5, added BR: ed

Revision 1.6  2003/07/22 12:42:49  adamg
- correct md5 sum

Revision 1.5  2003/07/22 12:10:23  adamg
- updated to 1.0a4

Revision 1.4  2003/05/28 13:02:00  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 06:26:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/17 00:13:44  qboosh
- missing dir

Revision 1.1  2003/02/13 23:17:59  ankry
- new
